Devices
The Device object
idstringoptionalPublic device identifier.
namestringoptionalDevice name.
typestringoptionalDevice type.
device_idstringoptionalProvider or hardware device identifier.
serial_numberstringoptionalDevice serial number.
telematicstringoptionalTelematic public ID, when loaded.
attachablestringoptionalAttached resource public ID, when loaded.
statusstringoptionalDevice status.
connection_statusstringoptionalDerived connection status.
metaobjectoptionalAdditional device metadata.
{
"id": "device_7YqM3KpL2n",
"name": "OBD Tracker 12",
"type": "obd",
"device_id": "OBD-12",
"serial_number": "SN-10001",
"status": "active",
"connection_status": "online",
"attached_to_name": "ABC123",
"updated_at": "2026-05-07T08:30:00.000000Z",
"created_at": "2026-05-07T08:30:00.000000Z"
}/v1/devicesCreate a Device
Create a device.
namestringoptionalDevice name.
typestringoptionalDevice type.
device_idstringoptionalProvider or hardware device identifier.
telematicstringoptionalTelematic public ID.
attachable_typestringoptionalAttachable resource type, usually fleet-ops:vehicle.
attachablestringoptionalAttachable resource public ID.
latitudenumberoptionalLast known latitude. Required with longitude.
longitudenumberoptionalLast known longitude. Required with latitude.
metaobjectoptionalAdditional metadata.
/v1/devicescurl -X POST https://api.fleetbase.io/v1/devices \
-H "Authorization: Bearer flb_live_…" \
-H "Content-Type: application/json" \
-d '{
"name": "OBD Tracker 12",
"type": "obd",
"device_id": "OBD-12",
"serial_number": "SN-10001",
"status": "active"
}'{
"id": "<string>",
"object": "devices"
}/v1/devicesQuery Devices
Query devices.
querystringoptionalSearch query for devices.
limitintegeroptionalMaximum number of records to return.
pageintegeroptionalPage number for paginated results.
sortstringoptionalSort expression, such as -created_at.
statusstringoptionalFilter by status.
attachment_statestringoptionalFilter by attached or unattached.
vehiclestringoptionalFilter by attached vehicle public ID.
connection_statusstringoptionalFilter by connection status.
/v1/devicescurl https://api.fleetbase.io/v1/devices \
-H "Authorization: Bearer flb_live_…"{
"id": "<string>",
"object": "devices"
}/v1/devicesRetrieve a Device
Retrieve a device.
/v1/devicescurl https://api.fleetbase.io/v1/devices \
-H "Authorization: Bearer flb_live_…"{
"id": "<string>",
"object": "devices"
}/v1/devicesUpdate a Device
Update a device.
namestringoptionalDevice name.
typestringoptionalDevice type.
device_idstringoptionalProvider or hardware device identifier.
telematicstringoptionalTelematic public ID.
attachable_typestringoptionalAttachable resource type, usually fleet-ops:vehicle.
attachablestringoptionalAttachable resource public ID.
latitudenumberoptionalLast known latitude. Required with longitude.
longitudenumberoptionalLast known longitude. Required with latitude.
metaobjectoptionalAdditional metadata.
/v1/devicescurl -X PUT https://api.fleetbase.io/v1/devices \
-H "Authorization: Bearer flb_live_…" \
-H "Content-Type: application/json" \
-d '{
"status": "maintenance"
}'{
"id": "<string>",
"object": "devices"
}/v1/devicesDelete a Device
Delete a device.
/v1/devicescurl -X DELETE https://api.fleetbase.io/v1/devices \
-H "Authorization: Bearer flb_live_…"{
"id": "<string>",
"deleted": true
}/v1/devices/attachAttach Device
Attach this device to a vehicle.
vehiclestringoptionalVehicle public ID.
/v1/devices/attachcurl -X POST https://api.fleetbase.io/v1/devices/attach \
-H "Authorization: Bearer flb_live_…" \
-H "Content-Type: application/json" \
-d '{
"vehicle": "{{vehicle_id}}"
}'{
"id": "<string>",
"object": "devices"
}/v1/devices/detachDetach Device
Detach this device from its current resource.
/v1/devices/detachcurl -X POST https://api.fleetbase.io/v1/devices/detach \
-H "Authorization: Bearer flb_live_…"{
"id": "<string>",
"object": "devices"
}